<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0 

/*
This file implements the sounding units A and B only as gestalt (body).
Run the file in CsoundQt, select the schedule expressions and evaluate
by selecting Edit > Evaluate selection (Ctrl+Shift+E).
Note that each evaluation yields a different result because of the 
random deviations.
*/

instr A_play

 iMidiNote random 70, 80
 iDb random -30, -20
 p3 random 3, 5
 
 aSound poscil ampdb(iDb), mtof(iMidiNote)
 aOut linen aSound, p3/2, p3, p3/2
 
 out aOut, aOut 
 
endin
;schedule "A_play", 0, 1


instr B_play

 p3 random 1, 2
 iMediumFreq  random 3, 6
 
 kTrig metro iMediumFreq
 if kTrig == 1 then
  kImpulsePitch random 60, 70
  kDb random -12, 0
  kOffset random 0, 1/iMediumFreq
  event "i", "ImpFiltered", kOffset, 1, kImpulsePitch, kDb
 endif

endin
;schedule "B_play", 0, 1

instr ImpFiltered

 iMidiNote = p4
 iDb = p5
 iQ random 1/3, 2
 
 aImp mpulse ampdb(iDb), p3
 aFilt mode aImp, mtof(iMidiNote), iQ
 
 out aFilt, aFilt

endin

</CsInstruments>
<CsScore>

</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
