<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0 

/*
Swapping between sound and pause for each unit independently.
Evaluate one of the schedule expressions once to hear the result.
*/



instr A_play

 iMidiNote random 70, 80
 iDb random -30, -20
 p3 random 3, 5
 
 aSound poscil ampdb(iDb), mtof(iMidiNote)
 aOut linen aSound, p3/2, p3, p3/2
 
 out aOut, aOut 
 
 //start pause if last k-cycle is reached
 if release() == 1 then
  event "i", "A_pause", 0, 1
 endif

endin
;schedule "A_play", 0, 1

instr A_pause

 p3 random 5, 8
 //start play if last k-cycle is reached
 if release() == 1 then
  event "i", "A_play", 0, 1
 endif

endin



instr B_play

 p3 random 1, 2
 iMediumFreq  random 3, 6
 
 kTrig metro iMediumFreq
 if kTrig == 1 then
  kImpulsePitch random 60, 70
  kDb random -12, 0
  kOffset random 0, 1/iMediumFreq
  event "i", "ImpFiltered", kOffset, 1, kImpulsePitch, kDb
 endif

 //start pause if last k-cycle is reached
 if release() == 1 then
  event "i", "B_pause", 0, 1
 endif

endin
;schedule "B_play", 0, 1

instr B_pause

 p3 random 5, 10
 //start play if last k-cycle is reached
 if release() == 1 then
  event "i", "B_play", 0, 1
 endif

endin


instr ImpFiltered

 iMidiNote = p4
 iDb = p5
 iQ random 1/3, 2
 
 aImp mpulse ampdb(iDb), p3
 aFilt mode aImp, mtof(iMidiNote), iQ
 
 out aFilt, aFilt

endin

</CsInstruments>
<CsScore>

</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
